For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
      • POSTCreate field
      • PATCHUpdate field
      • DELDelete field
      • Field Types & Item Values
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
On this page
  • Plain Text
  • Rich Text
  • ImageRef / Image
  • Multi-Image
  • VideoLink
  • Link
  • Email
  • Phone
  • Number
  • Date/Time
  • Switch
  • Color
  • Option
  • Create an Option Field
  • Write an option value
  • File
  • ItemRef / Reference
  • Create a reference field
  • Write a reference value
  • Multi-Reference
  • Create a multi-reference field
  • Write a multi-reference value
  • User
CMSCollection Fields

Field Types & Item Values

Was this page helpful?
Previous

List Items

Next
Built with

This page is a reference for all Webflow CMS field types and the value formats they accept. Use it to:

  • Understand each field type’s purpose and behavior
  • Learn how to format values when creating or updating items via the API

To retrieve the specific fields used in a collection, call the Get Collection endpoint.

Field Type Names

Some field types may use slightly different names in the Webflow UI. This document uses the API name for each field type.

Plain Text

Stores text without formatting.

Value Format
Example
string

Rich Text

Stores long-form text with HTML formatting.

Value Format
Example
string
Code Blocks in Rich Text Fields

The API doesn’t currently support code blocks in Rich Text fields. Passing code blocks will result in an empty string.

ImageRef / Image

Stores a single image. Images must be hosted on a publicly accessible URL to be uploaded via the API. The maximum file size for images is 4MB.

Read Value
Write Value
1{
2 "fileId": "string",
3 "url": "string",
4 "alt": "string" (optional)
5}

Multi-Image

Stores multiple images. Images must be hosted on a publicly accessible URL to be uploaded via the API. The maximum file size for each image is 4MB.

Read Value
Write Value
1[
2 {
3 "fileId": "string",
4 "url": "string",
5 "alt": "string" (optional)
6 }
7]

VideoLink

Accepts a URL string for videos hosted on platforms like YouTube or Vimeo.

Value Format
Example
string

Link

Stores a URL.

Value Format
Example
string

Email

Stores an email address.

Value Format
Example
string

Phone

Stores a phone number.

Value Format
Example
string

Number

Stores an integer or a decimal number.

Value Format
Example
number

Date/Time

Stores a date and time.

Read Value Format
Write Value Format
Example
string (ISO 8601)

Switch

Stores a boolean value (true or false).

Value Format
Example
boolean

Color

Stores a color value. Accepts HEX, RGB, HSL, and named color formats.

Value Format
Example
string

Accepted formats include:

  • #RGB
  • #RGBA
  • #RRGGBB
  • #RRGGBBAA
  • rgb(red,green,blue)
  • rgba(red,green,blue,alpha)
  • hsl(hue,saturation,lightness)
  • hsla(hue,saturation,lightness,alpha)
  • orchid, aqua, black, etc.
  • transparent

Option

Creates a predefined list of choices for an item.

Create an Option Field

To create an Option field, send a POST request to the Create Field endpoint. The request body must include "type": "Option" and a metadata object containing an options array. Each object in the array defines a choice with a name.

Create Field Request
Read Field Definition
1{
2 "type": "Option",
3 "displayName": "milliways-drink-menu",
4 "metadata": {
5 "options": [
6 {"name": "pan-galactic gargle blaster"},
7 {"name": "waturi punch"},
8 {"name": "gnab gib"}
9 ]
10 }
11}

Write an option value

To set an option for an item, get the option id of the desired option and pass it as a string. You can get the option id by calling the Get Collection Details endpoint and then searching for the option field and it’s metadata in the fields array.

Value Format
Example
string (Option ID)

File

Stores a file reference. You can upload a new file from a public URL or use an existing file by referencing its fileId.

Read Value
Write Value
1{
2 "fileId": "string",
3 "url": "string",
4 "alt"?: "string"
5}

ItemRef / Reference

Links an item to another item in the same or a different collection.

Create a reference field

To create a Reference field, send a POST request to the Create Field endpoint. The request body must include "type": "Reference" and a metadata object containing the collectionId of the collection you want to reference.

Create Field Request
1// Include the metadata property in the request body
2{
3 "type": "Reference",
4 "displayName": "Author",
5 "helpText": "Add the post author here",
6 "metadata": {
7 "collectionId": "63692ab61fb2852f582ba8f5"
8 }
9}

Write a reference value

To set a reference for an item, get the item id of the referenced item and pass it as a string. You can get the item id by calling the Get Items endpoint for the referenced collection.

Value Format
Example
string (Item ID)

Multi-Reference

Links an item to multiple items in the same or a different collection.

Create a multi-reference field

To create a Multi-Reference field, send a POST request to the Create Field endpoint. The request body must include "type": "MultiReference" and a metadata object containing the collectionId of the collection you want to reference.

Create Field Request
1// Include the metadata property in the request body
2{
3 "type": "MultiReference",
4 "displayName": "Authors",
5 "helpText": "Add post authors here",
6 "metadata": {
7 "collectionId": "63692ab61fb2852f582ba8f5"
8 }
9}

Write a multi-reference value

To set multiple references for an item, pass an array of item id strings.

Value Format
Example
[string, string] (Item IDs)

User

A read-only field containing the unique ID of a Webflow user. This field is used for the “created-by” and “updated-by” properties on an item.

Value Format
Example
string